import { Http,Util,Errorlog } from '@/utils';
import ControlService from '@/widgets/control-service';
import OpportunityService from '@/service/opportunity/opportunity-service';
import ListExpViewlistexpbarModel from './list-exp-viewlistexpbar-listexpbar-model';


/**
 * ListExpViewlistexpbar 部件服务对象
 *
 * @export
 * @class ListExpViewlistexpbarService
 */
export default class ListExpViewlistexpbarService extends ControlService {

    /**
     * 商机服务对象
     *
     * @type {OpportunityService}
     * @memberof ListExpViewlistexpbarService
     */
    public appEntityService: OpportunityService = new OpportunityService({ $store: this.getStore() });

    /**
     * 设置从数据模式
     *
     * @type {boolean}
     * @memberof ListExpViewlistexpbarService
     */
    public setTempMode(){
        this.isTempMode = false;
    }

    /**
     * Creates an instance of ListExpViewlistexpbarService.
     * 
     * @param {*} [opts={}]
     * @memberof ListExpViewlistexpbarService
     */
    constructor(opts: any = {}) {
        super(opts);
        this.model = new ListExpViewlistexpbarModel();
    }

}